clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Entry Struct Reference
Collaboration diagram for Entry:
[legend]

## Public Types
enum | EntryKind { EK_Tag, EK_Value, EK_Macro, EK_NumberOfKinds }

## Public Member Functions
StringRef | getKindName ()

## Static Public Member Functions
static StringRef | getKindName (EntryKind kind)

## Public Attributes
enum Entry::EntryKind | Kind
Location | Loc

## Detailed Description

Definition at line 432 of file Modularize.cpp.

## Member Enumeration Documentation

enum Entry::EntryKind

Enumerator
EK_Tag |
EK_Value |
EK_Macro |
EK_NumberOfKinds |

Definition at line 433 of file Modularize.cpp.

## Member Function Documentation

StringRef Entry::getKindName | ( |  | ) |
| inline

Definition at line 443 of file Modularize.cpp.

References getKindName().

Referenced by getKindName(), and main().

StringRef Entry::getKindName | ( | Entry::EntryKind | kind | ) |
| static

Definition at line 448 of file Modularize.cpp.

## Member Data Documentation

enum Entry::EntryKind Entry::Kind

Location Entry::Loc

Definition at line 441 of file Modularize.cpp.

The documentation for this struct was generated from the following file:

- Modularize.cpp